MozillaZine

[Support] - FEBE (et al.) alternate support thread

Announce and Discuss the Latest Theme and Extension Releases.
Shadoefax

User avatar
 
Posts: 431
Joined: April 29th, 2005, 2:59 pm
Location: Glendale, AZ

Post Posted September 9th, 2016, 6:11 pm

Actually, I wonder how your Fx is running at all with 100+ tabs open. In the newer versions, tabs are run as a separate process and with that many processes running all at once I'm surprised you don't have serious response issues.

Anyway, I'm sure you learned by now that bookmarking your important tabs is a good way to recover if this happens again. Just right-click on any open tab header and click "Bookmark All Tabs...".
All my signatures are stolen from other people. Including this one.
Homepage

gibson58
 
Posts: 4
Joined: February 19th, 2013, 2:22 pm

Post Posted October 24th, 2016, 11:50 am

Great add-on and i use it from long time,but now is impossible to create backup :( .Can't access to forums either ...
the problem is
Script: chrome://febe/content/febe.js:8717
I reinstall addon and now when start "perform backup now" stay to 0% orstop on 97,5% .

Shadoefax

User avatar
 
Posts: 431
Joined: April 29th, 2005, 2:59 pm
Location: Glendale, AZ

Post Posted October 24th, 2016, 1:49 pm

Are you getting any FEBE related errors in the error console (Tools > Web Developer > Browser Console)?

Also try running "Clear FEBE preferences", "Verify extension directory" and "Check AddonManager functionality" in FEBE Options > Advanced. (You will need to re-enter your FEBE backup destination directory and other backup options after clearing.)

If you are still experiencing problems, try this: Open and clear the Error console. Leave it open and perform a backup. After a few seconds (when the progress meter starts moving again) examine the error console for any FEBE related error messages (type febe in the "Search:" box). Copy/paste them here.
All my signatures are stolen from other people. Including this one.
Homepage

yvrwqqgfq
 
Posts: 1
Joined: October 25th, 2016, 1:36 pm

Post Posted October 25th, 2016, 1:45 pm

History restore is not working. removeAllPages was deprecated ( https://bugzilla.mozilla.org/show_bug.cgi?id=1124185 ) and attempting history restore always throws an error.

Shadoefax

User avatar
 
Posts: 431
Joined: April 29th, 2005, 2:59 pm
Location: Glendale, AZ

Post Posted October 26th, 2016, 4:50 pm

Hmm ... I replaced the calls to removeAllPages() with PlacesUtils.history.clear (and now history does clear), but restoring history does not write anything (nor shows any errors). Still working on it.
All my signatures are stolen from other people. Including this one.
Homepage

iammike
 
Posts: 13
Joined: April 28th, 2012, 12:27 am
Location: SE-Asia

Post Posted November 7th, 2016, 10:41 pm

Just got the update to FEBE,

but the add-on is getting disabled as it says Not compatabile with firefox 49.0.2

Reversed back to the old version

Ps: Can't access the support forum site in the US (Posting this from Thailand)

Shadoefax

User avatar
 
Posts: 431
Joined: April 29th, 2005, 2:59 pm
Location: Glendale, AZ

Post Posted November 8th, 2016, 5:04 am

I've notified AMO and am awaiting a response. It should be resolved soon.
All my signatures are stolen from other people. Including this one.
Homepage

Daledoc1
 
Posts: 423
Joined: January 2nd, 2009, 4:51 am

Post Posted November 8th, 2016, 5:59 am

Hi:

Yep, I made the same shocking discovery when booting up my main production box today.

Shadoefax wrote:I've notified AMO and am awaiting a response. It should be resolved soon.


Much obliged!

Thanks!

daledoc1 (I think I will sit tight with 8.9.3 for now, rather than rolling back to previous version.)
DT1: Win10 Pro/64 1511; Fx 50.0.2; TB 45.5.1; KIS; Cable HSI w/router. DT2: Win7 Ult/64; Fx 50.0.2; TB 45.5.1; KIS; Cable HSI w/router.
LT: Win7 Pro/64 SP1; Fx 50.0.2; TB 45.5.1; Sophos; Juniper VPN; WLAN. All rigs: MBAM Premium & MBAE Premium & Mailwasher Pro.

Shadoefax

User avatar
 
Posts: 431
Joined: April 29th, 2005, 2:59 pm
Location: Glendale, AZ

Post Posted November 10th, 2016, 3:55 pm

I've published the FEBE fix for browser history restore to AMO (FEBE v8.9.3), but there seems to be a problem with compatibility. Firefox is claiming that the new version is not compatible with v49.0.1 and v49.0.2. Actually it is, but Firefox is somehow incorrectly flagging it as not. I am trying to work with Mozilla to correct this problem but they are not being very responsive.

In the meantime, please revert back to FEBE v8.9.2 until the problem is resolved. Unfortunately, the older version will not restore browser history but everything else should work as expected. You can turn off the automatic FEBE update check by going to Tools > Add-ons Manager > FEBE > More and set Automatic Updates to off (near the bottom of the screen). This can be turned back on when the compatibility issue is fixed.
All my signatures are stolen from other people. Including this one.
Homepage

Daledoc1
 
Posts: 423
Joined: January 2nd, 2009, 4:51 am

Post Posted November 10th, 2016, 7:32 pm

Hi, Chuck:

Thanks for the status update.
With any luck, the folks at Mozilla will come to their senses...

I only updated to 8.9.3 on one of my 3 boxes (naturally, it's my main production box).
So, the question about rolling back to 8.9.2: can I install 8.9.2 on top of 8.9.3, or (as I suspect) do I need to first uninstall 8.9.3 and then install and configure 8.9.2?

(As far as the loss of restoring browser history, that does not matter to me. I use private browsing and clear my stuff each session anyway. So I hope that feature (or loss there of) doesn't end up being a deal breaker...)

Thanks again!

daledoc1
DT1: Win10 Pro/64 1511; Fx 50.0.2; TB 45.5.1; KIS; Cable HSI w/router. DT2: Win7 Ult/64; Fx 50.0.2; TB 45.5.1; KIS; Cable HSI w/router.
LT: Win7 Pro/64 SP1; Fx 50.0.2; TB 45.5.1; Sophos; Juniper VPN; WLAN. All rigs: MBAM Premium & MBAE Premium & Mailwasher Pro.

iammike
 
Posts: 13
Joined: April 28th, 2012, 12:27 am
Location: SE-Asia

Post Posted November 12th, 2016, 8:10 pm

Thanks Chuck for the Update.

Daledoc1 wrote:<snip>
So, the question about rolling back to 8.9.2: can I install 8.9.2 on top of 8.9.3, or (as I suspect) do I need to first uninstall 8.9.3 and then install and configure 8.9.2?

<snip>


What I did, after FF upgraded Febe to 8.9.3 I just reinstalled 8.9.2 on Top of 8.9.3. I didn't have to configure anything and it worked normally. The only thing I did (what Chuck also wrote) was turn off Automatic Update of the Febe extension.

Shadoefax

User avatar
 
Posts: 431
Joined: April 29th, 2005, 2:59 pm
Location: Glendale, AZ

Post Posted November 12th, 2016, 8:15 pm

FEBE v8.9.3.1 is now available from AMO and solves the incompatibility problem.
All my signatures are stolen from other people. Including this one.
Homepage

Daledoc1
 
Posts: 423
Joined: January 2nd, 2009, 4:51 am

Post Posted November 13th, 2016, 7:53 am

Hi, Chuck:

So far, so good on the 1 box I just updated.
I just sent a donation your way.

Thanks for your time and trouble maintaining this "must-have" extension!

Cheers,
daledoc1
DT1: Win10 Pro/64 1511; Fx 50.0.2; TB 45.5.1; KIS; Cable HSI w/router. DT2: Win7 Ult/64; Fx 50.0.2; TB 45.5.1; KIS; Cable HSI w/router.
LT: Win7 Pro/64 SP1; Fx 50.0.2; TB 45.5.1; Sophos; Juniper VPN; WLAN. All rigs: MBAM Premium & MBAE Premium & Mailwasher Pro.

anon42
 
Posts: 282
Joined: December 1st, 2005, 12:07 am

Post Posted November 14th, 2016, 9:22 pm

I see the posts above about compatibility issues with FEBE on AMO. But I don't see anything in this thread (maybe I missed it) nor in the version info for 8.9.3 and 8.9.3.1 indicating whether the min FF version was set to, say, FF49 and above. I'm curious whether the 8.x's are (or will be if AMO is fixed) intended to be compatible with FF48[.0.2]. If it is for FF49 and above that's fine. I just don't want to keep checking AMO to see if this is only an AMO problem.

Shadoefax

User avatar
 
Posts: 431
Joined: April 29th, 2005, 2:59 pm
Location: Glendale, AZ

Post Posted November 15th, 2016, 5:07 am

I still believe it is an AMO problem, but I've changed the minVersion on my end from '49.*' (which is apparently invalid even though it validates correctly) to '49.0'. Now that I know, future updates will install correctly.

There was a deprecation in Fx v48 XPCOM that made the update necessary. FEBE v8.9.3x will not work correctly in any pre-v49 Fx versions.
Last edited by Shadoefax on November 15th, 2016, 2:35 pm, edited 1 time in total.
All my signatures are stolen from other people. Including this one.
Homepage

Return to Extension/Theme Releases


Who is online

Users browsing this forum: No registered users and 5 guests